Bug 430653 - Review Request: baracuda - VNC system
Review Request: baracuda - VNC system
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-29 05:22 EST by Adam Tkac
Modified: 2013-04-30 19:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 05:08:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Tkac 2008-01-29 05:22:04 EST
Spec URL: http://people.redhat.com/atkac/baracuda/baracuda.spec
SRPM URL: http://people.redhat.com/atkac/baracuda/baracuda-1.0-0.1.prealpha.fc9.src.rpm
Description: baracuda is forked RealVNC source. It's going to become replacement for RealVNC and developed and maintained better because RealVNC focuses on their Enterprise VNC which is not free.
Comment 1 manuel wolfshant 2008-01-29 05:33:53 EST
Shouldn't the 
   Obsoletes: vnc
   Provides: vnc
be versioned ?
Comment 2 Adam Tkac 2008-01-29 08:36:19 EST
(In reply to comment #1)
> Shouldn't the 
>    Obsoletes: vnc
>    Provides: vnc
> be versioned ?

Not needed. It obsoletes all our vnc builds so I don't see any reason why add
version.
Comment 3 manuel wolfshant 2008-01-29 09:03:06 EST
because someone might wish to install the commercial version in parallel with
yours ?
Comment 4 Adam Tkac 2008-01-29 09:26:45 EST
Hm, pretty unlikely but someone might do something like that. I've added version
and also "Conflicts: vnc{,-server}". SRPM and spec is updated
Comment 5 manuel wolfshant 2008-01-29 09:52:50 EST
I don't get it. Could you please explain the technical reason(s) why would
baracuda and vnc (and their server parts) conflict ? I can run happily here
vmware's vnc server, krfb and vnc-server all in the same time. And I bet I could
also start FreeNX if I wanted to.

Comment 6 Adam Tkac 2008-01-29 09:58:27 EST
baracuda is forked vnc source. All binaries and scripts have same name as in vnc
package. This is conflict. You cannot have installed baracuda and vnc
simulateously due same names.
Comment 7 Jason Tibbitts 2008-01-29 12:54:39 EST
Are we sure there's no trademark issue with the Baracuda spam-filtering product?
Comment 8 Adam Tkac 2008-01-30 08:04:50 EST
Baracuda software has only one 'r' and Barracuda networks (and his products) has
double 'rr' in title so this should not cause any problem :)
Comment 9 Kevin Kofler 2008-02-05 16:48:20 EST
Uh, trademarks are not only about identical names, but also about "confusingly 
similar" names.
Comment 10 Callum Lerwick 2008-02-05 17:26:17 EST
Unversioned obsoletes are not acceptable. The naming guidelines explain how to
handle obsoletes:

http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-3cfc1ea19d28975faad9d56f70a6ae55661d3c3d
Comment 11 Jason Tibbitts 2008-02-22 19:15:31 EST
It seems the initial links are invalid now.
Comment 12 Adam Tkac 2008-03-18 05:08:58 EDT
Baracuda died because in the end I joined to TightVNC group and development done
in baracuda is going to be merged to TightVNC tree. Closing

Note You need to log in before you can comment on or make changes to this bug.